JSP v1.1 and Servlet v2.2 API Reference: Class BodyJspWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class BodyJspWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--javax.servlet.jsp.JspWriter
                  |
                  +--javax.servlet.jsp.tagext.BodyJspWriter

public abstract class BodyJspWriter
extends JspWriter

A JspWriter subclass that can be used to process body evaluations so they can re-extracted later on.

Fields inherited from class javax.servlet.jsp.JspWriter
`autoFlush, bufferSize, DEFAULT_BUFFER, NO_BUFFER`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`protected` | `BodyJspWriter(int buffersize, boolean autoflush)` Construct a BodyJspWriter.

Method Summary
`void` | `clearBody()` Clear the body.
`abstract java.io.Reader` | `getReader()` Return the value of this BodyJspWriter as a Reader.
`abstract java.lang.String` | `getString()` Return the value of the BodyJspWriter as a String.
`abstract void` | `writeOut(java.io.Writer out)` Write the contents of this BodyJspWriter into a Writer.

Methods inherited from class javax.servlet.jsp.JspWriter
`clear, clearBuffer, close, flush, getBufferSize, getRemaining, isAutoFlush, newLine, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println`

Methods inherited from class java.io.Writer
`write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BodyJspWriter

    protected BodyJspWriter(int buffersize,
                            boolean autoflush)

  Construct a BodyJspWriter. Only to be used by a subclass. TODO -- buffering issues to be revisited after Monday.

Method Detail

### clearBody

    public void clearBody()

  Clear the body. TODO -- need to clarify this

### getReader

    public abstract java.io.Reader getReader()

  Return the value of this BodyJspWriter as a Reader. Note: this is after evaluation!! There are no scriptlets, etc in this stream.

### getString

    public abstract java.lang.String getString()

  Return the value of the BodyJspWriter as a String. Note: this is after evaluation!! There are no scriptlets, etc in this stream.

### writeOut

    public abstract void writeOut(java.io.Writer out)

  Write the contents of this BodyJspWriter into a Writer. Subclasses are likely to do interesting things with the implementation so some things are extra efficient.
  Parameters:
    `out` - The writer into which to place the contents of this body evaluation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD